Pricefx REST API Reference
The Pricefx Backend API
Request
Returns a slot ID that is needed for the /bdmanager.upload/{typedId}/{slot_id}, or /productimages.upload/{slot_id}/{sku} (Upload a File) endpoint.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.newuploadslot
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot{ "response": { "node": "node", "csrfToken": "token", "data": [ … ], "status": 0 } }
Request
Returns a slot ID that is needed for the /bdmanager.upload/{typedId}/{slot_id}, or /productimages.upload/{slot_id}/{sku} (Upload a File) endpoint. Same behavior and response as GET /uploadmanager.newuploadslot.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.newuploadslot
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot?ownerTypedId=string'{ "response": { "data": [ … ], "status": 0 } }
Request
Uploads a file and adds it to the specified product.
To upload a file you need to retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/{slot_id}/{sku}
- URL:https://companynode.pricefx.com/pricefx/companypartition/productimages.upload/{slot_id}/{sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/2665/{sku}' \
-H 'Content-Type: multipart/form-data' \
-F file=stringRequest
Returns a slot ID that is needed for the /bdmanager.upload/{typedId}/{slot_id}, or /productimages.upload/{slot_id}/{sku} (Upload a File) endpoint.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.newuploadslot
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot{ "response": { "node": "node", "csrfToken": "token", "data": [ … ], "status": 0 } }
Request
Returns a slot ID that is needed for the /bdmanager.upload/{typedId}/{slot_id}, or /productimages.upload/{slot_id}/{sku} (Upload a File) endpoint. Same behavior and response as GET /uploadmanager.newuploadslot.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.newuploadslot
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot?ownerTypedId=string'{ "response": { "data": [ … ], "status": 0 } }
Request
Uploads a file and adds it to the specified product.
To upload a file you need to retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/{slot_id}/{sku}
- URL:https://companynode.pricefx.com/pricefx/companypartition/productimages.upload/{slot_id}/{sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/2665/{sku}' \
-H 'Content-Type: multipart/form-data' \
-F file=string
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code